---
title: "pow"
excerpt: "Compute the number to a power."
layout: manual
---

Compute the number to a power.



```js
pow(num: number, pow: number) -> number
```

### Tags

* `math`

### Examples

```js
const exampleSketch = startSketchOn("XZ")
  |> startProfileAt([0, 0], %)
  |> angledLine({ angle: 50, length: pow(5, 2) }, %)
  |> yLineTo(0, %)
  |> close(%)

const example = extrude(5, exampleSketch)
```

![Rendered example of pow 0](data:image/png;base64,[encoded data, 80120 characters])

### Arguments

* `num`: `number` (REQUIRED)
* `pow`: `number` (REQUIRED)

### Returns

`number`



